---
title: DoubleFourteen
menu_title: "The DoubleFourteen Code Forge"
mobile_menu_title: "1414° Code Forge"
date: 2021-06-15T00:40:51+02:00
---

# Vision

The DoubleFourteen Code Forge is an effort to promote synergy between developers
and researchers, in order to promote good development practices,
improve the software landscape and share common views and ethics.
With hope to form a collaborative community made of competent
individuals, practitioners, and researchers, working together and benefitting
from each other's skills and inputs.

# Raison d'être

Computer science and software development has evolved dramatically the last decades,
consistently posing new challenges. Overcoming such challenges opened new
possibilities that had an enormous impact over our everyday lives.
Still, computer science is seen by most users as some sort of black magic,
that is better avoided than understood.

On the other side of the field, despite the abundance interesting topics,
institutes and commercial investments, oftentimes, research is heavily
conditioned by external factors -- such as commercial interest,
nation-wide infrastructures, bureaucracy, budget choices, academic interest,
knowledge availability. Similar constraints apply to development time --
often seen as expensive by commercial entities and unnecessary by research
institutes, to the point of settling for quick prototypes that slowly but
surely become the definitive implementation.

As a matter of fact, computer science exhibits an uncanny dichotomy between
theory and actual practice, whereas theory is often forgotten or
ridiculed by practitioners and practical implementation is seen as a
pesky and forgettable detail by researchers.

The DoubleFourteen Code Forge is an attempt to provide an international
and diverse community, to hoist and support any individual or group in their
own research or development interest, providing an ecosystem where such
limitations are absent or minimal.
We strive to enact an alternative setup where researchers and developers
may directly communicate with each other and understand the value of
taking into proper consideration every aspect and every challenge in
computer science, creating premises for new innovative techniques.
Where the only constraints are imposed by skill, motivation, imagination and
perseverance in reaching our goals and improving ourselves.

Our community sole focus is raising the quality of the software world
and raise awareness on computer science, by spreading the results of our work.
Everyone is welcome to submit projects, take on research on their topic of
interest, or offer support. Everyone is encouraged to contribute and share
knowledge, as the more knowledge we share, the more contributions we can offer.

# Fundamental principles

The DoubleFourteen Code Forge is intended to be equally useful for
scientists and the collectivity as a whole. We should never forget that the
knowledge we produce and the code we write should be oriented to improving our
lives, our society and raise scientific awareness to the general public.
The following list summarizes the basic principles that everyone in the
community is asked to agree on, in order to ensure our objectives and a
productive environment.

* We value research, code, experience, knowledge, and share them
publicly. Believing that our efforts may be of better use when freely available
to a wider audience, as opposed to confined to few privileged entities.

* We promote ethical software and abhor restrictions to our Freedom. In no
way ever shall we consciously suggest or endorse the use of any unethical
software or service akin that ultimately results in:
    - mistreating users or developers;
    - violating the users' or developers' privacy or silently collecting their
      data;
    - severing the right to understand, learn, verify, modify or improve the
      original source code;
    - denying full control over the computing instruments;
    - tying the user or developer to a single software or service, constraining
      their freedom of choice.

* We place mutual respect at the foundation of our community.

* We believe in civilized debate. Personal offences and discrimination targeted
to us or others alike, in any public or private form, are incompatible
with our community. Any viable action shall be taken to condemn and eradicate
such behaviour and make our environment cleaner.

* We firmly reject any misrepresentation of work.
Our community as a whole is but a mean for each individual to fully express
their potential in any useful way they are most proficient with.
As such, every single effort is to be duly credited, fairly and transparently.

* We regard independence as a vital premise to ensure the impartiality
of our work.

* We never compromise over quality, our work is our art and pride.

* We keep any social, political, religious or idealistic conviction to our
personal individual relational sphere. Our community as a whole is neutral and
refuses to take any stance or action whatsoever over matters extraneous to
objective scientific debate on software development and computer science.

* We encourage any benevolent participation to our community, by actively
extending ourselves to rule out any obstacle in its actuation.

* We offer support to any project or initiative compatible with our
principles and goals.

* We are eager to learn, grateful to teach, motivated in our work.
